Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.cisco.ipphone.sdk
Class AXLProvider

    java.lang.Object
      com.cisco.ipphone.sdk.AXLProvider

All Implemented Interfaces:
  AXLProviderIF

    public class AXLProvider

extends java.lang.Object
implements AXLProviderIF

The `AXLProvider` class implements the `AXLProviderIF` interface and is used by IP Phone Service applications to access the Cisco CallManager AVVID XML-Layer Database API (AXL).

See Also:
  `AXLProviderIF`

Constructor Summary
`AXLProvider(java.lang.String callManager, java.lang.String callManagerUserId, java.lang.String callManagerPassword)` Equivalent to: AXLProvider(callManager, callManagerUserId, callManagerPassword, false)
`AXLProvider(java.lang.String callManager, java.lang.String callManagerUserId, java.lang.String callManagerPassword, boolean useHttps)` This is the only constructor provided for the `AXLProvider` class and all parameters must be supplied.

Method Summary
`static void` | `main(java.lang.String[] args)`
`java.lang.String` | `sendRequest(java.lang.String axlRequest, java.lang.String axlParams)` This method accepts an AXL Request command along with AXL Parameters and returns the AXL SOAP/XML Response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AXLProvider

    public AXLProvider(java.lang.String callManager,
                       java.lang.String callManagerUserId,
                       java.lang.String callManagerPassword)

  Equivalent to: AXLProvider(callManager, callManagerUserId, callManagerPassword, false)

  Parameters:
    `callManager` - String
    `callManagerUserId` - String
    `callManagerPassword` - String

### AXLProvider

    public AXLProvider(java.lang.String callManager,
                       java.lang.String callManagerUserId,
                       java.lang.String callManagerPassword,
                       boolean useHttps)

  This is the only constructor provided for the `AXLProvider` class and all parameters must be supplied. The parameters can be modified after instantiation, if needed, by direct access to the public attributes.

  Parameters:
    `callManager` - The IP address or hostname of the CallManager server hosting the AXL API
    `callManagerUserId` - The UserId used to authenticate to the CallManager for AXL access
    `callManagerPassword` - The password of the above UserId
    `useHttps` - boolean If true, https is used instead of http

Method Detail

### sendRequest

    public java.lang.String sendRequest(java.lang.String axlRequest,
                                        java.lang.String axlParams)

  This method accepts an AXL Request command along with AXL Parameters and returns the AXL SOAP/XML Response.

  Specified by:
    `sendRequest` in interface `AXLProviderIF`
  Parameters:
    `axlRequest` - The AXL Request string (Example: getPhone)
    `axlParams` - The AXL Request parameters required for the given AXL Request (Example: <phoneName>SEP00036B7FFE23</phoneName>)
  Returns:
    String containing the full AXL response in XML text. If the request was unsuccessful, an empty String or AXL error message will be returned.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD